xtrx_obj Class Reference

`#include <xtrx_obj.h>`

## Public Member Functions

| xtrx_obj (const std::string &path, unsigned loglevel, bool lmsreset)
| ~xtrx_obj ()
xtrx_dev * | dev ()
unsigned | dev_count ()
double | set_smaplerate (double rate, double master, bool sink, unsigned flags)
void | set_vio (unsigned vio)

## Static Public Member Functions

static std::vector< std::string > | get_devices ()
static xtrx_obj_sptr | get (const char *xtrx_dev, unsigned loglevel, bool lmsreset)
static void | clear_all ()

## Public Attributes

boost::mutex | mtx

## Protected Attributes

xtrx_dev * | _obj
bool | _run
unsigned | _vio
double | _sink_rate
double | _sink_master
double | _source_rate
double | _source_master
unsigned | _flags
unsigned | _devices

## Constructor & Destructor Documentation

## xtrx_obj()

xtrx_obj::xtrx_obj | ( | const std::string & | path,
|  | unsigned | loglevel,
|  | bool | lmsreset )

## ~xtrx_obj()

xtrx_obj::~xtrx_obj | ( |  | ) |

## Member Function Documentation

## clear_all()

void xtrx_obj::clear_all | ( |  | ) |

static

## dev()

xtrx_dev * xtrx_obj::dev | ( |  | ) |

inline

References _obj.

## dev_count()

unsigned xtrx_obj::dev_count | ( |  | ) |

inline

References _devices.

## get()

xtrx_obj_sptr xtrx_obj::get | ( | const char * | xtrx_dev,
|  | unsigned | loglevel,
|  | bool | lmsreset )

static

## get_devices()

std::vector< std::string > xtrx_obj::get_devices | ( |  | ) |

static

Referenced by xtrx_sink_c::get_devices(), and xtrx_source_c::get_devices().

## set_smaplerate()

double xtrx_obj::set_smaplerate | ( | double | rate,
|  | double | master,
|  | bool | sink,
|  | unsigned | flags )

## set_vio()

void xtrx_obj::set_vio | ( | unsigned | vio | ) |

inline

References _vio.

## Member Data Documentation

## _devices

unsigned xtrx_obj::_devices

protected

Referenced by dev_count().

## _flags

unsigned xtrx_obj::_flags

protected

## _obj

xtrx_dev* xtrx_obj::_obj

protected

Referenced by dev().

## _run

bool xtrx_obj::_run

protected

## _sink_master

double xtrx_obj::_sink_master

protected

## _sink_rate

double xtrx_obj::_sink_rate

protected

## _source_master

double xtrx_obj::_source_master

protected

## _source_rate

double xtrx_obj::_source_rate

protected

## _vio

unsigned xtrx_obj::_vio

protected

Referenced by set_vio().

## mtx

boost::mutex xtrx_obj::mtx

The documentation for this class was generated from the following file:

- xtrx_obj.h